<?php declare(strict_types=1);

namespace %NAMESPACE%;

use Lean\Lean;
use Ulmus\ConnectionAdapter;

require_once dirname(__DIR__) . '/vendor/autoload.php';

new class(dirname(__DIR__)) extends \Lean\Kernel {

    public array $paths = [
        'CACHE_PATH' => "CACHE_DIR",
        'LOGS_PATH' => "LOGS_DIR",
        'META_PATH' => "META_DIR",
        'PUBLIC_PATH' => "PUBLIC_DIR",
        'PRIVATE_PATH' => "PRIVATE_DIR",
        'TMP_PATH' => "TMP_DIR",
        'VIEW_PATH' => "VIEW_DIR",
    ];

    protected function initializeEngine() : self
    {
        $this->errorLogPath = getenv("LOGS_PATH") . DIRECTORY_SEPARATOR. date("Y-m").".log";

        return parent::initializeEngine();
    }

    protected function serviceContainer() : self
    {
        return parent::serviceContainer();
    }

};
