<?php

use Ulmus\Container\AdapterProxy;
use Ulmus\ConnectionAdapter;

use function DI\autowire, DI\create, DI\get, DI\add;

return [
    'lean.autoload' => add([
        AdapterProxy::class,
    ]),

    AdapterProxy::class => function (Psr\Container\ContainerInterface $c) {
        $proxy = new AdapterProxy();
        
        $autoload = $c->get(\Lean\Lean::class)->getConnectionAdapters();

        $proxy->push($autoload);

        return $proxy;
    },
];
