<?php

namespace %NAMESPACE%\Lib;

use Picea\Picea;
use Storage\Session;
use Ulmus\User\Entity\User;
use Notes\Route\Attribute\Object\Route;
use Notes\Security\Attribute\Security;

use %NAMESPACE%\{ Entity, Lib, Form };

use Mcnd\Event\EventManager;
use Notes\Attribute\Ignore;use Ulmus\User\Entity\UserInterface;

#[Security(locked: false)]
#[Route(method: ['GET', 'POST', ])]
trait ControllerTrait {
    use \Lean\ControllerTrait;

    #[Ignore]
    public ? UserInterface $user;

    #[Ignore]
    protected EventManager $eventManager;

    #[Ignore]
    public function __construct(Picea $picea, Session $session, UserInterface $user, \Notes\Breadcrumb\Breadcrumb $breadcrumb, EventManager $eventManager) {
        $this->initializeController($picea, $session, $user, $breadcrumb, $eventManager);
    }

    #[Ignore]
    public function initializeController(Picea $picea, Session $session, UserInterface $user, \Notes\Breadcrumb\Breadcrumb $breadcrumb, EventManager $eventManager) {
        $this->picea = $picea;
        $this->session = $session;
        $this->eventManager = $eventManager;
        $this->breadcrumb = $breadcrumb;
        $this->user = $user;
    }

}